package com.leanwo.activiti.dto.base;

import java.io.Serializable;

/**
 * 流程实例状态
 * 
 * @author Crazy Lei
 * @date 2022-06-14
 *
 */
public enum TaskInstanceStatus implements IEnum, Serializable {
	SUCCESS("成功"), FAIL("失败"), IN_OPERATION("运行中");

	private String displayName;

	TaskInstanceStatus(String displayName) {
		this.displayName = displayName;
	}

	@Override
	public String getDisplayName() {
		return displayName;
	}

	@Override
	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

}
